org.apache.catalina.ha.deploy

## Class WarWatcher.WarFilter

- java.lang.Object
- - org.apache.catalina.ha.deploy.WarWatcher.WarFilter

- All Implemented Interfaces:
    FilenameFilter
  Enclosing class:
    WarWatcher

      protected static class WarWatcher.WarFilter
      extends Object
      implements FilenameFilter

  File name filter for war files

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WarWatcher.WarFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(File path, String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WarWatcher.WarFilter

          protected WarWatcher.WarFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(File path,
                       String name)

      Specified by:
        `accept` in interface `FilenameFilter`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.